setTimeForScripts 90;

call compile preprocessFileLineNumbers "\dz\modulesDayZ\init.sqf";

DZ_MP_CONNECT = true;
DZ_MAX_ZOMBIES = 0;
DZ_MAX_ANIMALS = 0;
DZ_PLAYER_COUNT = getServerMaxPlayers;

//----- simple scheduler part -----

connectedPlayers = [];
for "_x" from 0 to (DZ_PLAYER_COUNT-1) do
{
	connectedPlayers set [_x,0];
};


diag_log format ["SCHEDULER: Connected players array init, count %1, %2",count connectedPlayers, connectedPlayers];
//---------------------------------

call dbLoadPlayer;

_humidity = random 0.8;
[0,0] setOvercast _humidity;
simulWeatherSync;

setWindMaxSpeed 10;
setWindSpeedOfChange 50;
setWindFnMin 0.2;
setWindFnMax 1;

_position = [7500,7500,0];
//exportProxies [_position,200000];
//call init_spawnZombies;
//sleep 1;
call init_spawnWildAnimals;
sleep 1;

//remove the event but not forget the positions
//Christmas tree spawning
/*
_treePositions = [
			[6743.83,2577.14],
			[1652.32,14226.36],
			[3801.06,8847.76],
			[9441.43,8826.21],
			[7903.16,12576.52],
			[11617.75,14663.98],
			[12830.08,10115.18],
			[11221.94,12225.89],
			[3471.93,12988.33],
			[13933.42,13228.44],
			[12018.3,9090.9],
			[10468.54,2373.16],
			[2725.48,5288.75]
			];

{
	_tree = "ChristmasTree" createVehicle _x;
	_tree setPos [ (getPos _tree) select 0, (getPos _tree) select 1, -2.3];

} forEach _treePositions;
*/
//call init_spawnServerEvent;
dbInitEconomy [];

setTimeForScripts 0.03;

//----- simple scheduler part -----
index = 0;
indexTarget = DZ_PLAYER_COUNT;
onEachFrame {	
	if (index < DZ_PLAYER_COUNT) then {
		_playerToTick = connectedPlayers select index;	
		//diag_log format ["SCHEDULER: Select clientId to tick %1 on index %2", _playerToTick, index];	
		if (_playerToTick != 0) then {
			_player = playerOn _playerToTick;		
			if ((alive _player) and (isSGTicksEnabled)) then
			{
				//diag_log format ["SCHEDULER: Run ticks for clientId %1 on index %2", _playerToTick, index];
				//[_player,format ["DEBUG: Tick tock... diagFPS %1, indexTarget %2", diag_fps, indexTarget],""] call fnc_playerMessage;
				_player call tick_modifiers;	
				_player call tick_states;		
				_player call tick_environment;
				_player call fnc_sendNotifiersToEnfusion;
			};
		};
	};
	index = index + 1;		
	if (index == indexTarget) then {
		indexTarget = (round(diag_fps * 2)) max DZ_PLAYER_COUNT; //indexTarget = (round(diag_fps * 2)) max DZ_PLAYER_COUNT; //ideal is 25fps to get 2s ticks
		index = 0;
	};
};
//---------------------------------